Summary: An ASCII art library
Name: aalib
Version: 1.4
Release: 4.3
Group: System Environment/Libraries
License: LGPL
URL: http://aa-project.sourceforge.net/aalib/
Source: http://prdownloads.sourceforge.net/aa-project/%{name}-%{version}rc5.tar.gz
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/ldconfig /sbin/install-info
BuildRequires: libXt-devel, ncurses-devel, gpm-devel

%description
AA-lib is a low level graphics library that doesn't require a graphics
device and has no graphics output.  Instead AA-lib replaces those
old-fashioned output methods with a powerful ASCII-art renderer.  The
AA-Project is working on porting important software like DOOM and Quake
to work with AA-lib. If you'd like to help them with their efforts,
you'll also need to install the aalib-devel package.

%package devel
Summary: The static libraries and header files for AA-lib
Group: Development/Libraries
Requires: %{name} = %{version}, gpm-devel

%description devel
The aalib-devel package contains the static libraries and header files
for the AA-lib ASCII art library.  If you'd like to develop programs
using AA-lib, you'll need to install aalib-devel.


%prep
%setup -q -n %{name}-1.4.0

%build
%configure --with-x --with-curses-driver=yes --with-ncurses
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall 
rm -f %{buildroot}%{_infodir}/dir || :

%post
if [ -e %{_infodir}/libaa.info.gz ]; then
	/sbin/install-info %{_infodir}/libaa.info.gz %{_infodir}/dir
fi
/sbin/ldconfig

%preun
if [ -e %{_infodir}/libaa.info.gz ]; then
	/sbin/install-info --delete %{_infodir}/libaa.info.gz %{_infodir}/dir
fi

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ANNOUNCE AUTHORS COPYING ChangeLog NEWS
%{_bindir}/aafire
%{_bindir}/aainfo
%{_bindir}/aasavefont
%{_bindir}/aatest
%{_libdir}/*.so.*
%{_infodir}/*.info*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_bindir}/aalib-config
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*.h
%{_datadir}/aclocal/*.m4
%{_mandir}/man3/*

%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
